Package com.avaya.clientservices.media

## Enum NoiseSuppressionMode

- java.lang.Object
- - java.lang.Enum<NoiseSuppressionMode>
  - - com.avaya.clientservices.media.NoiseSuppressionMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NoiseSuppressionMode>`

      public enum NoiseSuppressionMode
      extends java.lang.Enum<NoiseSuppressionMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFERENCE` |
    `DEFAULT` |
    `HIGH_SUPPRESSION` |
    `LOW_SUPPRESSION` |
    `MODERATE_SUPPRESSION` |
    `NATIVE` |
    `OFF` |
    `VERY_HIGH_SUPPRESSION` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NoiseSuppressionMode` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static NoiseSuppressionMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NoiseSuppressionMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final NoiseSuppressionMode OFF

    - #### DEFAULT

          public static final NoiseSuppressionMode DEFAULT

    - #### NATIVE

          public static final NoiseSuppressionMode NATIVE

    - #### CONFERENCE

          public static final NoiseSuppressionMode CONFERENCE

    - #### LOW_SUPPRESSION

          public static final NoiseSuppressionMode LOW_SUPPRESSION

    - #### MODERATE_SUPPRESSION

          public static final NoiseSuppressionMode MODERATE_SUPPRESSION

    - #### HIGH_SUPPRESSION

          public static final NoiseSuppressionMode HIGH_SUPPRESSION

    - #### VERY_HIGH_SUPPRESSION

          public static final NoiseSuppressionMode VERY_HIGH_SUPPRESSION

  - ### Method Detail

    - #### values

          public static NoiseSuppressionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NoiseSuppressionMode c : NoiseSuppressionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NoiseSuppressionMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static NoiseSuppressionMode fromInt​(int v)

    - #### intValue

          public int intValue()